Subject: Re: powerpc: cmp -> cmpd for 64-bit

From: Greg KH <[email-masked]>
Date: Wed, 14 Dec 2016 03:02:56 -0800

On Wed, Dec 14, 2016 at 02:01:50PM +1030, Joel Stanley wrote:
> On Wed, Oct 26, 2016 at 8:51 PM, Michael Ellerman
> <[email-masked]> wrote:
> > On Thu, 2016-06-10 at 13:42:19 UTC, Segher Boessenkool wrote:
> >> PowerPC's "cmp" instruction has four operands.  Normally people write
> >> "cmpw" or "cmpd" for the second cmp operand 0 or 1.  But, frequently
> >> people forget, and write "cmp" with just three operands.
> >>
> >> With older binutils this is silently accepted as if this was "cmpw",
> >> while often "cmpd" is wanted.  With newer binutils GAS will complain
> >> about this for 64-bit code.  For 32-bit code it still silently assumes
> >> "cmpw" is what is meant.
> >>
> >> Signed-off-by: Segher Boessenkool <[email-masked]>
> >
> > Applied to powerpc fixes, thanks.
> >
> > I added:
> >   Fixes: 948cf67c4726 ("powerpc: Add NAP mode support on Power7 in HV mode")
> >   Cc: [email-masked] # v3.0
> >
> > https://git.kernel.org/powerpc/c/80f23935cadb1c654e81951f5a8b7c
> 
> This one made it into 4.9-rc3 as "powerpc: Convert cmp to cmpd in idle
> enter sequence". We need it to build the 4.4 kernel with GCC 6.2, so
> my OpenPower firmware builds are failing.
> 
> The patch won't backport directly as in 4.4 the macro is in
> arch/powerpc/kernel/idle_power7.S.
> 
> Greg, is this one in your queue? Do we need to send a patch to stable
> that backports cleanly?

I need a clean backport, that is why it never showed up in 4.4-stable.

thanks,

greg k-h